StringUtils (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.util, class: StringUtils

Package org.apache.cxf.common.util

# Class StringUtils

java.lang.Object
org.apache.cxf.common.util.StringUtils

public final class StringUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `addDefaultPortIfMissing(String urlString)`
  `static String`
  `addDefaultPortIfMissing(String urlString, String defaultPort)`
  `static String`
  `capitalize(String name)`
  Return input string with first character in upper case.
  `static String`
  `diff(String str1, String str2)`
  `static String`
  `getFirstFound(String contents, String regex)`
  `static boolean`
  `isEmpty(String str)`
  `static boolean`
  `isEmpty(List<String> list)`
  `static Predicate<String>`
  `notEmpty()`
  `static String`
  `periodToSlashes(String s)`
  `static String`
  `slashesToPeriod(String s)`
  `static byte[]`
  `toBytes(String str, String enc)`
  `static byte[]`
  `toBytesASCII(String str)`
  `static byte[]`
  `toBytesUTF8(String str)`
  `static String`
  `toHexString(byte[] bytes)`
  `static String`
  `uncapitalize(String str)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isEmpty

    public static boolean isEmpty(String str)

  - ### notEmpty

    public static Predicate<String> notEmpty()

  - ### isEmpty

    public static boolean isEmpty(List<String> list)

  - ### diff

    public static String diff(String str1, String str2)

  - ### getFirstFound

    public static String getFirstFound(String contents, String regex)

  - ### addDefaultPortIfMissing

    public static String addDefaultPortIfMissing(String urlString)

  - ### addDefaultPortIfMissing

    public static String addDefaultPortIfMissing(String urlString, String defaultPort)

  - ### capitalize

    public static String capitalize(String name)
    Return input string with first character in upper case.
    Parameters:
      `name` - input string.
    Returns:
      capitalized form.

  - ### uncapitalize

    public static String uncapitalize(String str)

  - ### toBytesUTF8

    public static byte[] toBytesUTF8(String str)

  - ### toBytesASCII

    public static byte[] toBytesASCII(String str)

  - ### toBytes

    public static byte[] toBytes(String str, String enc)

  - ### toHexString

    public static String toHexString(byte[] bytes)

  - ### periodToSlashes

    public static String periodToSlashes(String s)

  - ### slashesToPeriod

    public static String slashesToPeriod(String s)